/*
 * Class WEL_PALETTE_ENTRY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_824 [] = {0xFF01,1551,823,0xFFFF};
static const EIF_TYPE_INDEX egt_2_824 [] = {0xFF01,823,0xFFFF};
static const EIF_TYPE_INDEX egt_3_824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_824 [] = {0xFF01,823,0xFFFF};
static const EIF_TYPE_INDEX egt_6_824 [] = {0xFF01,823,0xFFFF};
static const EIF_TYPE_INDEX egt_7_824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_824 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_824 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_824 [] = {0xFF01,823,0xFFFF};


static const struct desc_info desc_824[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_824), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_824), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_824), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_824), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_824), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_824), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_824), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_824), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_824), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_824), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_824), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_824), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x066F /*823*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_824), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19188, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19189, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19195, 0xFFFFFFFF},
};
void Init824(void)
{
	IDSC(desc_824, 0, 823);
	IDSC(desc_824 + 1, 1, 823);
	IDSC(desc_824 + 32, 791, 823);
	IDSC(desc_824 + 34, 1359, 823);
	IDSC(desc_824 + 44, 1308, 823);
	IDSC(desc_824 + 54, 109, 823);
}


#ifdef __cplusplus
}
#endif
